> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.byteful.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search ASN

> Search Autonomous System Number (ASN) entries using various filters.




## OpenAPI

````yaml get /public/user/asn/search
openapi: 3.0.1
info:
  title: Byteful Public User API
  description: Public API used for third-party usage.
  termsOfService: https://byteful.com
  contact:
    url: https://byteful.com
    email: developer@byteful.com
  version: '1.0'
  x-logo:
    altText: Byteful
    backgroundColor: '#6354eb'
    url: >-
      https://pbs.twimg.com/profile_banners/1038803520605118464/1729783007/1500x500
servers:
  - url: https://api.byteful.com/1.0/
security: []
paths:
  /public/user/asn/search:
    get:
      tags:
        - ASN
      summary: Search ASN
      description: |
        Search Autonomous System Number (ASN) entries using various filters.
      parameters:
        - name: asn_id
          in: query
          description: Unique identifier of the ASN
          schema:
            type: string
        - name: asn_name
          in: query
          description: Name associated with the ASN
          schema:
            type: string
        - name: country_id
          in: query
          description: Country identifier where the ASN is registered
          schema:
            type: string
        - name: asn_type
          in: query
          description: Type of the ASN (e.g., hosting, isp, business, etc.)
          schema:
            type: string
        - name: asn_rir
          in: query
          description: Regional Internet Registry (RIR) associated with the ASN
          schema:
            type: string
        - name: asn_ip_address_count
          in: query
          description: Count of IP addresses associated with the ASN
          schema:
            type: string
        - name: asn_node_count
          in: query
          description: Current number of online nodes in the ASN
          schema:
            type: integer
        - name: per_page
          in: query
          description: Number of items per page for pagination
          schema:
            type: integer
        - name: page
          in: query
          description: Page number for pagination
          schema:
            type: integer
        - name: sort_by
          in: query
          description: Key for sorting or random.
          schema:
            type: string
      responses:
        '200':
          description: Successful ASN search
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/AsnSuccessfulSearchResponse'
      security:
        - APIPrivateKey: []
          APIPublicKey: []
components:
  schemas:
    AsnSuccessfulSearchResponse:
      type: object
      properties:
        data:
          type: array
          description: >-
            Array of Asn items matching the search criteria up to the limit of
            per_page paramater.
          items:
            type: object
            properties:
              asn_id:
                type: integer
                example: 13335
              asn_ip_address_count:
                type: integer
                example: 1791744
              asn_name:
                type: string
                example: Cloudflare, Inc.
              asn_node_count:
                type: integer
                example: 1234
              asn_rir:
                type: string
                example: apnic
                enum:
                  - arin
                  - ripe
                  - apnic
                  - lacnic
                  - afrinic
                  - jpnic
              asn_type:
                type: string
                example: hosting
                enum:
                  - business
                  - cdn
                  - education
                  - gov
                  - hosting
                  - isp
              country_id:
                type: string
                example: us
        item_count:
          type: integer
          description: Total number of Asn items returned in the data field.
        message:
          type: string
          description: Status message for the search.
        page:
          type: integer
          description: Current page number of the search results returned.
        per_page:
          type: integer
          description: Number of Asn items returned per page.
        total_count:
          type: integer
          description: Total of Asn items that match the search filter.
      description: Asn search was successful.
      example:
        data:
          - asn_id: 13335
            asn_ip_address_count: 1791744
            asn_name: Cloudflare, Inc.
            asn_node_count: 1234
            asn_rir: apnic
            asn_type: hosting
            country_id: us
        item_count: 1
        message: Asn search successful.
        page: 1
        per_page: 10
        total_count: 1
  securitySchemes:
    APIPrivateKey:
      type: apiKey
      description: ' Private API key for user-level authentication.'
      name: X-API-Private-Key
      in: header
    APIPublicKey:
      type: apiKey
      description: ' Public API key for user-level authentication.'
      name: X-API-Public-Key
      in: header

````